[clasp] 09/11: debian/tests: add clasp0, clasp1, clasp2

Thomas Krennwallner tkren-guest at moszumanska.debian.org
Sun May 7 13:53:47 UTC 2017


This is an automated email from the git hooks/post-receive script.

tkren-guest pushed a commit to branch devel
in repository clasp.

commit fa0543697707821c7f60a5aac02129a5af01b9bc
Author: Thomas Krennwallner <tkren at kr.tuwien.ac.at>
Date:   Sun May 7 12:28:37 2017 +0000

    debian/tests: add clasp0, clasp1, clasp2
---
 debian/tests/clasp0 | 15 +++++++++++++++
 debian/tests/clasp1 | 11 +++++++++++
 debian/tests/clasp2 | 11 +++++++++++
 3 files changed, 37 insertions(+)

diff --git a/debian/tests/clasp0 b/debian/tests/clasp0
new file mode 100755
index 0000000..0b40091
--- /dev/null
+++ b/debian/tests/clasp0
@@ -0,0 +1,15 @@
+#!/bin/bash
+# clasp: we must print one answer set and exit in 10
+# Author: Thomas Krennwallner <tkren at kr.tuwien.ac.at>
+# Date: 2017-05-07
+
+set -o pipefail
+
+{ gringo <<EOF
+a :- not b.
+b :- not a.
+EOF
+} | clasp
+
+result=$?
+test $result -eq 10
diff --git a/debian/tests/clasp1 b/debian/tests/clasp1
new file mode 100755
index 0000000..f48fd95
--- /dev/null
+++ b/debian/tests/clasp1
@@ -0,0 +1,11 @@
+#!/bin/bash
+# clasp: gbie1.lp sat_01.lp is satisfiable
+# Author: Thomas Krennwallner <tkren at kr.tuwien.ac.at>
+# Date: 2017-05-07
+
+set -o pipefail
+
+gringo /usr/share/doc/gringo/examples/gringo/gbie/{gbie1.lp,instances/sat_01.lp} | clasp
+
+result=$?
+test $result -eq 30
diff --git a/debian/tests/clasp2 b/debian/tests/clasp2
new file mode 100755
index 0000000..6e4d8f2
--- /dev/null
+++ b/debian/tests/clasp2
@@ -0,0 +1,11 @@
+#!/bin/bash
+# clasp: gbie1.lp unsat_01.lp is unsatisfiable
+# Author: Thomas Krennwallner <tkren at kr.tuwien.ac.at>
+# Date: 2017-05-07
+
+set -o pipefail
+
+gringo /usr/share/doc/gringo/examples/gringo/gbie/{gbie1.lp,instances/unsat_01.lp} | clasp
+
+result=$?
+test $result -eq 20

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/clasp.git



More information about the debian-science-commits mailing list